(*
   module Hilevel
   High-level facilities used by other modules.
*)

open Lolevel.Error
open Types

val term_of_result : result -> term
val result_of_term : term -> result

val apply_prim : info -> result -> primfun -> result option
val apply_cons : info -> result -> constructor -> result option

module Printing : sig
  include Lolevel.PRINTING
  val print_binding : binding -> unit
  (* export a printer for possibly stuck terms,
     which needn't be results *)
  val print_atom : bool -> term -> unit
  val print_result : bool -> result -> unit
end
